package com.oguerreiro.resilient.service.dto;

import java.io.Serializable;
import java.math.BigDecimal;

public class InventoryDataDTO implements Serializable {
  private VariableDTO variable;
  private String variableClassCode;
  private String variableClassName;
  private UnitDTO unit;
  private BigDecimal value;
  private String stringValue;

  public VariableDTO getVariable() {
    return variable;
  }

  public void setVariable(VariableDTO variable) {
    this.variable = variable;
  }

  public String getVariableClassCode() {
    return variableClassCode;
  }

  public void setVariableClassCode(String variableClassCode) {
    this.variableClassCode = variableClassCode;
  }

  public String getVariableClassName() {
    return variableClassName;
  }

  public void setVariableClassName(String variableClassName) {
    this.variableClassName = variableClassName;
  }

  public UnitDTO getUnit() {
    return unit;
  }

  public void setUnit(UnitDTO unit) {
    this.unit = unit;
  }

  public BigDecimal getValue() {
    return value;
  }

  public void setValue(BigDecimal value) {
    this.value = value;
  }

  public String getStringValue() {
    return stringValue;
  }

  public void setStringValue(String stringValue) {
    this.stringValue = stringValue;
  }

  //@formatter:off
  @Override
  public String toString() {
    return "InventoryDataDTO{" + 
            ", value=" + getValue() + 
          "}";
  }
  //@formatter:on
}
